# Enum Class CAStringConstants

java.lang.Object
java.lang.Enum<CAStringConstants>
com.io7m.cardant.strings.CAStringConstants

All Implemented Interfaces:
  `CAStringConstantType`, `com.io7m.jxtrand.api.JXTStringConstantType`, `Serializable`, `Comparable<CAStringConstants>`, `Constable`

public enum CAStringConstants extends Enum<CAStringConstants> implements com.io7m.jxtrand.api.JXTStringConstantType, CAStringConstantType
Automatically generated - DO NOT EDIT.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTACHMENT`
  Constant for resource `"attachment"`.
  `ATTEMPTED_REMOVAL`
  Constant for resource `"attempted_removal"`.
  `COMMAND`
  Constant for resource `"Command"`.
  `COUNT`
  Constant for resource `"count"`.
  `COUNT_EXPECTED`
  Constant for resource `"count_expected"`.
  `COUNT_RECEIVED`
  Constant for resource `"count_received"`.
  `ERROR_ATTACHMENT_MISSING_DATA`
  Constant for resource `"error_attachment_missing_data"`.
  `ERROR_CLOSE_CONNECTION`
  Constant for resource `"error_close_connection"`.
  `ERROR_CLOSED_CHANNEL`
  Constant for resource `"error_closed_channel"`.
  `ERROR_COMMAND_NOT_HERE`
  Constant for resource `"error_command_not_here"`.
  `ERROR_CONNECTION_COMMIT`
  Constant for resource `"error_connection_commit"`.
  `ERROR_CONNECTION_ROLLBACK`
  Constant for resource `"error_connection_rollback"`.
  `ERROR_CREATE_QUERIES`
  Constant for resource `"error_create_queries"`.
  `ERROR_CREATE_QUERIES_UNAVAILABLE`
  Constant for resource `"error_create_queries_unavailable"`.
  `ERROR_DUPLICATE`
  Constant for resource `"error_duplicate"`.
  `ERROR_DUPLICATE_DELETED`
  Constant for resource `"error_duplicate_deleted"`.
  `ERROR_DUPLICATE_FILE`
  Constant for resource `"error_duplicate_file"`.
  `ERROR_DUPLICATE_ITEM`
  Constant for resource `"error_duplicate_item"`.
  `ERROR_DUPLICATE_ITEM_ATTACHMENT`
  Constant for resource `"error_duplicate_item_attachment"`.
  `ERROR_DUPLICATE_ITEM_LOCATION`
  Constant for resource `"error_duplicate_item_location"`.
  `ERROR_DUPLICATE_LOCATION`
  Constant for resource `"error_duplicate_location"`.
  `ERROR_DUPLICATE_STOCK_INSTANCE`
  Constant for resource `"error_duplicate_stock_instance"`.
  `ERROR_DUPLICATE_TYPE_PACKAGE`
  Constant for resource `"error_duplicate_type_package"`.
  `ERROR_DUPLICATE_USER`
  Constant for resource `"error_duplicate_user"`.
  `ERROR_EXPECTED_COMMAND`
  Constant for resource `"error_expected_command"`.
  `ERROR_EXPECTED_COMMAND_TYPE`
  Constant for resource `"error_expected_command_type"`.
  `ERROR_HASH_VALUE_MISMATCH`
  Constant for resource `"error_hash_value_mismatch"`.
  `ERROR_HTTP`
  Constant for resource `"error_http"`.
  `ERROR_INDEXED`
  Constant for resource `"error_indexed"`.
  `ERROR_INDEXED_ATTRIBUTE`
  Constant for resource `"error_indexed_attribute"`.
  `ERROR_IO`
  Constant for resource `"error_io"`.
  `ERROR_ITEM_COUNT_STORE_INVARIANT`
  Constant for resource `"error_item_count_store_invariant"`.
  `ERROR_ITEM_COUNT_TOO_MANY_REMOVED`
  Constant for resource `"error_item_count_too_many_removed"`.
  `ERROR_ITEM_REPOSIT_REMOVE_IDENTIFIED`
  Constant for resource `"error_item_reposit_remove_identified"`.
  `ERROR_ITEM_STILL_IN_LOCATION`
  Constant for resource `"error_item_still_in_location"`.
  `ERROR_LOCATION_NON_DELETED_CHILDREN`
  Constant for resource `"error_location_non_deleted_children"`.
  `ERROR_LOCATION_NOT_EMPTY`
  Constant for resource `"error_location_not_empty"`.
  `ERROR_NONEXISTENT`
  Constant for resource `"error_nonexistent"`.
  `ERROR_NOT_LOGGED_IN`
  Constant for resource `"error_not_logged_in"`.
  `ERROR_OPEN_CONNECTION`
  Constant for resource `"error_open_connection"`.
  `ERROR_OPEN_DATABASE`
  Constant for resource `"error_open_database"`.
  `ERROR_OPERATION_NOT_PERMITTED`
  Constant for resource `"error_operation_not_permitted"`.
  `ERROR_PACKAGE_DOWNGRADE`
  Constant for resource `"error_package_downgrade"`.
  `ERROR_PACKAGE_DOWNGRADE_SUGGEST`
  Constant for resource `"error_package_downgrade_suggest"`.
  `ERROR_PARSE`
  Constant for resource `"error_parse"`.
  `ERROR_PARSE_INDEXED`
  Constant for resource `"error_parse_indexed"`.
  `ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE`
  Constant for resource `"error_received_unexpected_content_type"`.
  `ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE`
  Constant for resource `"error_received_unexpected_response_type"`.
  `ERROR_REQUEST_TOO_LARGE`
  Constant for resource `"error_request_too_large"`.
  `ERROR_SCHEMA_VERSION_TABLE_ROW`
  Constant for resource `"error_schema_version_table_row"`.
  `ERROR_SEARCH_NOT_ACTIVE`
  Constant for resource `"error_search_not_active"`.
  `ERROR_SERVER`
  Constant for resource `"error_server"`.
  `ERROR_SERVER_CONNECT`
  Constant for resource `"error_server_connect"`.
  `ERROR_SHELL_OPTIONS_COMBINATION`
  Constant for resource `"error_shell_options_combination"`.
  `ERROR_STOCK_INSTANCE_IS_NOT_SERIAL`
  Constant for resource `"error_stock_instance_is_not_serial"`.
  `ERROR_STOCK_INSTANCE_IS_NOT_SET`
  Constant for resource `"error_stock_instance_is_not_set"`.
  `ERROR_TYPE_CHECKING`
  Constant for resource `"error_type_checking"`.
  `ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE`
  Constant for resource `"error_type_declaration_refers_to_nonexistent_type"`.
  `ERROR_TYPE_EXISTS_WRONG_PACKAGE`
  Constant for resource `"error_type_exists_wrong_package"`.
  `ERROR_TYPE_EXISTS_WRONG_PACKAGE_SUGGEST`
  Constant for resource `"error_type_exists_wrong_package_suggest"`.
  `ERROR_TYPE_FIELD_INVALID`
  Constant for resource `"error_type_field_invalid"`.
  `ERROR_TYPE_INDEXED`
  Constant for resource `"error_type_indexed"`.
  `ERROR_TYPE_INVALID_PATTERN`
  Constant for resource `"error_type_invalid_pattern"`.
  `ERROR_TYPE_MISSING_REQUIRED_FIELD`
  Constant for resource `"error_type_missing_required_field"`.
  `ERROR_TYPE_SCALAR_STILL_REFERENCED`
  Constant for resource `"error_type_scalar_still_referenced"`.
  `ERROR_TYPE_SCALAR_STILL_REFERENCED_SUGGEST`
  Constant for resource `"error_type_scalar_still_referenced_suggest"`.
  `ERROR_TYPE_STILL_REFERENCED`
  Constant for resource `"error_type_still_referenced"`.
  `ERROR_UNAUTHORIZED`
  Constant for resource `"error_unauthorized"`.
  `ERROR_UNEXPECTED_CONTENT_TYPE`
  Constant for resource `"error_unexpected_content_type"`.
  `ERROR_UNEXPECTED_RESPONSE_TYPE`
  Constant for resource `"error_unexpected_response_type"`.
  `EXPECTED_COMMAND`
  Constant for resource `"expected_command"`.
  `EXPECTED_CONTENT_TYPE`
  Constant for resource `"expected_content_type"`.
  `EXPECTED_COUNT`
  Constant for resource `"expected_count"`.
  `EXPECTED_HASH`
  Constant for resource `"Expected Hash"`.
  `EXPECTED_RESPONSE_TYPE`
  Constant for resource `"Expected Response Type"`.
  `EXPECTED_TYPE`
  Constant for resource `"expected_type"`.
  `FIELD_NAME`
  Constant for resource `"field_name"`.
  `FIELD_TYPE`
  Constant for resource `"field_type"`.
  `FILE`
  Constant for resource `"file"`.
  `FILE_ID`
  Constant for resource `"file_id"`.
  `HASH_ALGORITHM`
  Constant for resource `"Hash Algorithm"`.
  `HTTP_RESPONSE_CODE`
  Constant for resource `"HTTP Response Code"`.
  `ITEM`
  Constant for resource `"item"`.
  `ITEM_ID`
  Constant for resource `"item_id"`.
  `ITEM_LOCATION`
  Constant for resource `"item_location"`.
  `ITEM_NAME`
  Constant for resource `"item_name"`.
  `ITEM_SERIAL`
  Constant for resource `"item_serial"`.
  `LOCATION`
  Constant for resource `"location"`.
  `LOCATION_ID`
  Constant for resource `"location_id"`.
  `LOCATION_NAME`
  Constant for resource `"location_name"`.
  `MESSAGE_TYPE`
  Constant for resource `"message_type"`.
  `METADATA_NAME`
  Constant for resource `"metadata_name"`.
  `METADATA_VALUE`
  Constant for resource `"metadata_value"`.
  `NAME`
  Constant for resource `"name"`.
  `NAME_BASE`
  Constant for resource `"name_base"`.
  `NEW_LOCATION_ID`
  Constant for resource `"new_location_id"`.
  `NEW_LOCATION_NAME`
  Constant for resource `"new_location_name"`.
  `NEW_LOCATION_PARENT_ID`
  Constant for resource `"new_location_parent_id"`.
  `OBJECT`
  Constant for resource `"object"`.
  `OFFSET`
  Constant for resource `"offset"`.
  `OLD_LOCATION_ID`
  Constant for resource `"old_location_id"`.
  `OLD_LOCATION_NAME`
  Constant for resource `"old_location_name"`.
  `OLD_LOCATION_PARENT_ID`
  Constant for resource `"old_location_parent_id"`.
  `PACKAGE`
  Constant for resource `"package"`.
  `PACKAGE_INSTALLED`
  Constant for resource `"package_installed"`.
  `PACKAGE_INSTALLED_VERSION`
  Constant for resource `"package_installed_version"`.
  `PACKAGE_VERSION`
  Constant for resource `"package_version"`.
  `PROBLEM`
  Constant for resource `"problem"`.
  `QUERIES_CLASS`
  Constant for resource `"queries_class"`.
  `RECEIVED_CONTENT_TYPE`
  Constant for resource `"received_content_type"`.
  `RECEIVED_COUNT`
  Constant for resource `"received_count"`.
  `RECEIVED_HASH`
  Constant for resource `"Received Hash"`.
  `RECEIVED_RESPONSE_TYPE`
  Constant for resource `"Received Response Type"`.
  `RECEIVED_TYPE`
  Constant for resource `"received_type"`.
  `RELATION`
  Constant for resource `"relation"`.
  `STARTING_COUNT`
  Constant for resource `"starting_count"`.
  `STOCK_INSTANCE`
  Constant for resource `"stock_instance"`.
  `SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION`
  Constant for resource `"syntax_description_match_anydescription"`.
  `SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION_NAME`
  Constant for resource `"syntax_description_match_anydescription_name"`.
  `SYNTAX_DESCRIPTION_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_description_match_example_0"`.
  `SYNTAX_DESCRIPTION_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_description_match_example_1"`.
  `SYNTAX_DESCRIPTION_MATCH_EXAMPLE_2`
  Constant for resource `"syntax_description_match_example_2"`.
  `SYNTAX_DESCRIPTION_MATCH_EXAMPLE_3`
  Constant for resource `"syntax_description_match_example_3"`.
  `SYNTAX_DESCRIPTION_MATCH_NAME`
  Constant for resource `"syntax_description_match_name"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO`
  Constant for resource `"syntax_description_match_with_description_equal_to"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO_NAME`
  Constant for resource `"syntax_description_match_with_description_equal_to_name"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO`
  Constant for resource `"syntax_description_match_with_description_not_equal_to"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_description_match_with_description_not_equal_to_name"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO`
  Constant for resource `"syntax_description_match_with_description_not_similar_to"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO_NAME`
  Constant for resource `"syntax_description_match_with_description_not_similar_to_name"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO`
  Constant for resource `"syntax_description_match_with_description_similar_to"`.
  `SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO_NAME`
  Constant for resource `"syntax_description_match_with_description_similar_to_name"`.
  `SYNTAX_DOTTED_NAME`
  Constant for resource `"syntax_dotted_name"`.
  `SYNTAX_DOTTED_NAME_EXAMPLE`
  Constant for resource `"syntax_dotted_name_example"`.
  `SYNTAX_DOTTED_NAME_NAME`
  Constant for resource `"syntax_dotted_name_name"`.
  `SYNTAX_FIELD_MATCH_ANYFIELD`
  Constant for resource `"syntax_field_match_anyfield"`.
  `SYNTAX_FIELD_MATCH_ANYFIELD_NAME`
  Constant for resource `"syntax_field_match_anyfield_name"`.
  `SYNTAX_FIELD_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_field_match_example_0"`.
  `SYNTAX_FIELD_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_field_match_example_1"`.
  `SYNTAX_FIELD_MATCH_NAME`
  Constant for resource `"syntax_field_match_name"`.
  `SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO`
  Constant for resource `"syntax_field_match_with_field_equal_to"`.
  `SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO_NAME`
  Constant for resource `"syntax_field_match_with_field_equal_to_name"`.
  `SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO`
  Constant for resource `"syntax_field_match_with_field_not_equal_to"`.
  `SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_field_match_with_field_not_equal_to_name"`.
  `SYNTAX_INTEGER_RANGE`
  Constant for resource `"syntax_integer_range"`.
  `SYNTAX_INTEGER_RANGE_EXAMPLE`
  Constant for resource `"syntax_integer_range_example"`.
  `SYNTAX_INTEGER_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_integer_range_example_name"`.
  `SYNTAX_INTEGER_RANGE_NAME`
  Constant for resource `"syntax_integer_range_name"`.
  `SYNTAX_ISO_TIMESTAMP`
  Constant for resource `"syntax_iso_timestamp"`.
  `SYNTAX_ISO_TIMESTAMP_EXAMPLE`
  Constant for resource `"syntax_iso_timestamp_example"`.
  `SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME`
  Constant for resource `"syntax_iso_timestamp_example_name"`.
  `SYNTAX_ISO_TIMESTAMP_NAME`
  Constant for resource `"syntax_iso_timestamp_name"`.
  `SYNTAX_ITEM_MATCH_ANYITEM`
  Constant for resource `"syntax_item_match_anyitem"`.
  `SYNTAX_ITEM_MATCH_ANYITEM_NAME`
  Constant for resource `"syntax_item_match_anyitem_name"`.
  `SYNTAX_ITEM_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_item_match_example_0"`.
  `SYNTAX_ITEM_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_item_match_example_1"`.
  `SYNTAX_ITEM_MATCH_NAME`
  Constant for resource `"syntax_item_match_name"`.
  `SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO`
  Constant for resource `"syntax_item_match_with_item_equal_to"`.
  `SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO_NAME`
  Constant for resource `"syntax_item_match_with_item_equal_to_name"`.
  `SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO`
  Constant for resource `"syntax_item_match_with_item_not_equal_to"`.
  `SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_item_match_with_item_not_equal_to_name"`.
  `SYNTAX_LOCATION_MATCH_ANYNAME`
  Constant for resource `"syntax_location_match_anyname"`.
  `SYNTAX_LOCATION_MATCH_ANYNAME_NAME`
  Constant for resource `"syntax_location_match_anyname_name"`.
  `SYNTAX_LOCATION_MATCH_DESC`
  Constant for resource `"syntax_location_match_desc"`.
  `SYNTAX_LOCATION_MATCH_DESC_NAME`
  Constant for resource `"syntax_location_match_desc_name"`.
  `SYNTAX_LOCATION_MATCH_EXACT`
  Constant for resource `"syntax_location_match_exact"`.
  `SYNTAX_LOCATION_MATCH_EXACT_NAME`
  Constant for resource `"syntax_location_match_exact_name"`.
  `SYNTAX_LOCATION_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_location_match_example_0"`.
  `SYNTAX_LOCATION_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_location_match_example_1"`.
  `SYNTAX_LOCATION_MATCH_NAME`
  Constant for resource `"syntax_location_match_name"`.
  `SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE`
  Constant for resource `"syntax_mediatype_match_anymediatype"`.
  `SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE_NAME`
  Constant for resource `"syntax_mediatype_match_anymediatype_name"`.
  `SYNTAX_MEDIATYPE_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_mediatype_match_example_0"`.
  `SYNTAX_MEDIATYPE_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_mediatype_match_example_1"`.
  `SYNTAX_MEDIATYPE_MATCH_EXAMPLE_2`
  Constant for resource `"syntax_mediatype_match_example_2"`.
  `SYNTAX_MEDIATYPE_MATCH_EXAMPLE_3`
  Constant for resource `"syntax_mediatype_match_example_3"`.
  `SYNTAX_MEDIATYPE_MATCH_NAME`
  Constant for resource `"syntax_mediatype_match_name"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO`
  Constant for resource `"syntax_mediatype_match_with_mediatype_equal_to"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO_NAME`
  Constant for resource `"syntax_mediatype_match_with_mediatype_equal_to_name"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO`
  Constant for resource `"syntax_mediatype_match_with_mediatype_not_equal_to"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_mediatype_match_with_mediatype_not_equal_to_name"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO`
  Constant for resource `"syntax_mediatype_match_with_mediatype_not_similar_to"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO_NAME`
  Constant for resource `"syntax_mediatype_match_with_mediatype_not_similar_to_name"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO`
  Constant for resource `"syntax_mediatype_match_with_mediatype_similar_to"`.
  `SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO_NAME`
  Constant for resource `"syntax_mediatype_match_with_mediatype_similar_to_name"`.
  `SYNTAX_METADATA_INTEGER`
  Constant for resource `"syntax_metadata_integer"`.
  `SYNTAX_METADATA_INTEGER_EXAMPLE`
  Constant for resource `"syntax_metadata_integer_example"`.
  `SYNTAX_METADATA_INTEGER_NAME`
  Constant for resource `"syntax_metadata_integer_name"`.
  `SYNTAX_METADATA_MATCH_AND`
  Constant for resource `"syntax_metadata_match_and"`.
  `SYNTAX_METADATA_MATCH_AND_NAME`
  Constant for resource `"syntax_metadata_match_and_name"`.
  `SYNTAX_METADATA_MATCH_ANY`
  Constant for resource `"syntax_metadata_match_any"`.
  `SYNTAX_METADATA_MATCH_ANY_NAME`
  Constant for resource `"syntax_metadata_match_any_name"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_metadata_match_example_0"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_metadata_match_example_1"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_2`
  Constant for resource `"syntax_metadata_match_example_2"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_3`
  Constant for resource `"syntax_metadata_match_example_3"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_4`
  Constant for resource `"syntax_metadata_match_example_4"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_5`
  Constant for resource `"syntax_metadata_match_example_5"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_6`
  Constant for resource `"syntax_metadata_match_example_6"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_7`
  Constant for resource `"syntax_metadata_match_example_7"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_8`
  Constant for resource `"syntax_metadata_match_example_8"`.
  `SYNTAX_METADATA_MATCH_EXAMPLE_9`
  Constant for resource `"syntax_metadata_match_example_9"`.
  `SYNTAX_METADATA_MATCH_MATCH`
  Constant for resource `"syntax_metadata_match_match"`.
  `SYNTAX_METADATA_MATCH_MATCH_NAME`
  Constant for resource `"syntax_metadata_match_match_name"`.
  `SYNTAX_METADATA_MATCH_NAME`
  Constant for resource `"syntax_metadata_match_name"`.
  `SYNTAX_METADATA_MATCH_OR`
  Constant for resource `"syntax_metadata_match_or"`.
  `SYNTAX_METADATA_MATCH_OR_NAME`
  Constant for resource `"syntax_metadata_match_or_name"`.
  `SYNTAX_METADATA_MONEY`
  Constant for resource `"syntax_metadata_money"`.
  `SYNTAX_METADATA_MONEY_EXAMPLE`
  Constant for resource `"syntax_metadata_money_example"`.
  `SYNTAX_METADATA_MONEY_NAME`
  Constant for resource `"syntax_metadata_money_name"`.
  `SYNTAX_METADATA_NAME`
  Constant for resource `"syntax_metadata_name"`.
  `SYNTAX_METADATA_REAL`
  Constant for resource `"syntax_metadata_real"`.
  `SYNTAX_METADATA_REAL_EXAMPLE`
  Constant for resource `"syntax_metadata_real_example"`.
  `SYNTAX_METADATA_REAL_NAME`
  Constant for resource `"syntax_metadata_real_name"`.
  `SYNTAX_METADATA_TEXT`
  Constant for resource `"syntax_metadata_text"`.
  `SYNTAX_METADATA_TEXT_EXAMPLE`
  Constant for resource `"syntax_metadata_text_example"`.
  `SYNTAX_METADATA_TEXT_NAME`
  Constant for resource `"syntax_metadata_text_name"`.
  `SYNTAX_METADATA_TIME`
  Constant for resource `"syntax_metadata_time"`.
  `SYNTAX_METADATA_TIME_EXAMPLE`
  Constant for resource `"syntax_metadata_time_example"`.
  `SYNTAX_METADATA_TIME_NAME`
  Constant for resource `"syntax_metadata_time_name"`.
  `SYNTAX_METADATA_TYPE_MATCH_ANYTYPE`
  Constant for resource `"syntax_metadata_type_match_anytype"`.
  `SYNTAX_METADATA_TYPE_MATCH_ANYTYPE_NAME`
  Constant for resource `"syntax_metadata_type_match_anytype_name"`.
  `SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_metadata_type_match_example_0"`.
  `SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_metadata_type_match_example_1"`.
  `SYNTAX_METADATA_TYPE_MATCH_NAME`
  Constant for resource `"syntax_metadata_type_match_name"`.
  `SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO`
  Constant for resource `"syntax_metadata_type_match_with_type_equal_to"`.
  `SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO_NAME`
  Constant for resource `"syntax_metadata_type_match_with_type_equal_to_name"`.
  `SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO`
  Constant for resource `"syntax_metadata_type_match_with_type_not_equal_to"`.
  `SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_metadata_type_match_with_type_not_equal_to_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_ANY`
  Constant for resource `"syntax_metadata_value_match_any"`.
  `SYNTAX_METADATA_VALUE_MATCH_ANY_NAME`
  Constant for resource `"syntax_metadata_value_match_any_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE`
  Constant for resource `"syntax_metadata_value_match_integral_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_integral_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY`
  Constant for resource `"syntax_metadata_value_match_money_currency"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME`
  Constant for resource `"syntax_metadata_value_match_money_currency_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE`
  Constant for resource `"syntax_metadata_value_match_money_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_money_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_NAME`
  Constant for resource `"syntax_metadata_value_match_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE`
  Constant for resource `"syntax_metadata_value_match_real_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_real_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT`
  Constant for resource `"syntax_metadata_value_match_text_exact"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME`
  Constant for resource `"syntax_metadata_value_match_text_exact_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH`
  Constant for resource `"syntax_metadata_value_match_text_search"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME`
  Constant for resource `"syntax_metadata_value_match_text_search_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE`
  Constant for resource `"syntax_metadata_value_match_time_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_time_range_name"`.
  `SYNTAX_MONEY_RANGE`
  Constant for resource `"syntax_money_range"`.
  `SYNTAX_MONEY_RANGE_EXAMPLE`
  Constant for resource `"syntax_money_range_example"`.
  `SYNTAX_MONEY_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_money_range_example_name"`.
  `SYNTAX_MONEY_RANGE_NAME`
  Constant for resource `"syntax_money_range_name"`.
  `SYNTAX_NAME_MATCH_ANYNAME`
  Constant for resource `"syntax_name_match_anyname"`.
  `SYNTAX_NAME_MATCH_ANYNAME_NAME`
  Constant for resource `"syntax_name_match_anyname_name"`.
  `SYNTAX_NAME_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_name_match_example_0"`.
  `SYNTAX_NAME_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_name_match_example_1"`.
  `SYNTAX_NAME_MATCH_EXAMPLE_2`
  Constant for resource `"syntax_name_match_example_2"`.
  `SYNTAX_NAME_MATCH_EXAMPLE_3`
  Constant for resource `"syntax_name_match_example_3"`.
  `SYNTAX_NAME_MATCH_NAME`
  Constant for resource `"syntax_name_match_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO`
  Constant for resource `"syntax_name_match_with_name_equal_to"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO_NAME`
  Constant for resource `"syntax_name_match_with_name_equal_to_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO`
  Constant for resource `"syntax_name_match_with_name_not_equal_to"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_name_match_with_name_not_equal_to_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO`
  Constant for resource `"syntax_name_match_with_name_not_similar_to"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO_NAME`
  Constant for resource `"syntax_name_match_with_name_not_similar_to_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO`
  Constant for resource `"syntax_name_match_with_name_similar_to"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO_NAME`
  Constant for resource `"syntax_name_match_with_name_similar_to_name"`.
  `SYNTAX_PACKAGE`
  Constant for resource `"syntax_package"`.
  `SYNTAX_PACKAGE_EXAMPLE`
  Constant for resource `"syntax_package_example"`.
  `SYNTAX_PACKAGE_MATCH_ANYPACKAGE`
  Constant for resource `"syntax_package_match_anypackage"`.
  `SYNTAX_PACKAGE_MATCH_ANYPACKAGE_NAME`
  Constant for resource `"syntax_package_match_anypackage_name"`.
  `SYNTAX_PACKAGE_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_package_match_example_0"`.
  `SYNTAX_PACKAGE_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_package_match_example_1"`.
  `SYNTAX_PACKAGE_MATCH_NAME`
  Constant for resource `"syntax_package_match_name"`.
  `SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO`
  Constant for resource `"syntax_package_match_with_package_equal_to"`.
  `SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO_NAME`
  Constant for resource `"syntax_package_match_with_package_equal_to_name"`.
  `SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO`
  Constant for resource `"syntax_package_match_with_package_not_equal_to"`.
  `SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_package_match_with_package_not_equal_to_name"`.
  `SYNTAX_PACKAGE_NAME`
  Constant for resource `"syntax_package_name"`.
  `SYNTAX_RANGE_EXAMPLE_0`
  Constant for resource `"syntax_range_example_0"`.
  `SYNTAX_RANGE_EXAMPLE_1`
  Constant for resource `"syntax_range_example_1"`.
  `SYNTAX_RANGE_EXAMPLE_2`
  Constant for resource `"syntax_range_example_2"`.
  `SYNTAX_RANGE_EXAMPLE_3`
  Constant for resource `"syntax_range_example_3"`.
  `SYNTAX_RANGE_NAME`
  Constant for resource `"syntax_range_name"`.
  `SYNTAX_REAL_RANGE`
  Constant for resource `"syntax_real_range"`.
  `SYNTAX_REAL_RANGE_EXAMPLE`
  Constant for resource `"syntax_real_range_example"`.
  `SYNTAX_REAL_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_real_range_example_name"`.
  `SYNTAX_REAL_RANGE_NAME`
  Constant for resource `"syntax_real_range_name"`.
  `SYNTAX_SERIAL_MATCH_ANYSERIAL`
  Constant for resource `"syntax_serial_match_anyserial"`.
  `SYNTAX_SERIAL_MATCH_ANYSERIAL_NAME`
  Constant for resource `"syntax_serial_match_anyserial_name"`.
  `SYNTAX_SERIAL_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_serial_match_example_0"`.
  `SYNTAX_SERIAL_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_serial_match_example_1"`.
  `SYNTAX_SERIAL_MATCH_NAME`
  Constant for resource `"syntax_serial_match_name"`.
  `SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO`
  Constant for resource `"syntax_serial_match_with_serial_equal_to"`.
  `SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO_NAME`
  Constant for resource `"syntax_serial_match_with_serial_equal_to_name"`.
  `SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO`
  Constant for resource `"syntax_serial_match_with_serial_not_equal_to"`.
  `SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_serial_match_with_serial_not_equal_to_name"`.
  `SYNTAX_TIME_RANGE`
  Constant for resource `"syntax_time_range"`.
  `SYNTAX_TIME_RANGE_EXAMPLE`
  Constant for resource `"syntax_time_range_example"`.
  `SYNTAX_TIME_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_time_range_example_name"`.
  `SYNTAX_TIME_RANGE_NAME`
  Constant for resource `"syntax_time_range_name"`.
  `SYNTAX_TYPE_MATCH_ANYTYPE`
  Constant for resource `"syntax_type_match_anytype"`.
  `SYNTAX_TYPE_MATCH_ANYTYPE_NAME`
  Constant for resource `"syntax_type_match_anytype_name"`.
  `SYNTAX_TYPE_MATCH_EQUAL_TO`
  Constant for resource `"syntax_type_match_equal_to"`.
  `SYNTAX_TYPE_MATCH_EQUAL_TO_NAME`
  Constant for resource `"syntax_type_match_equal_to_name"`.
  `SYNTAX_TYPE_MATCH_EXAMPLE_0`
  Constant for resource `"syntax_type_match_example_0"`.
  `SYNTAX_TYPE_MATCH_EXAMPLE_1`
  Constant for resource `"syntax_type_match_example_1"`.
  `SYNTAX_TYPE_MATCH_EXAMPLE_2`
  Constant for resource `"syntax_type_match_example_2"`.
  `SYNTAX_TYPE_MATCH_EXAMPLE_3`
  Constant for resource `"syntax_type_match_example_3"`.
  `SYNTAX_TYPE_MATCH_EXAMPLE_4`
  Constant for resource `"syntax_type_match_example_4"`.
  `SYNTAX_TYPE_MATCH_NAME`
  Constant for resource `"syntax_type_match_name"`.
  `SYNTAX_TYPE_MATCH_NOT_EQUAL_TO`
  Constant for resource `"syntax_type_match_not_equal_to"`.
  `SYNTAX_TYPE_MATCH_NOT_EQUAL_TO_NAME`
  Constant for resource `"syntax_type_match_not_equal_to_name"`.
  `SYNTAX_TYPE_MATCH_OVERLAPPING_NAME`
  Constant for resource `"syntax_type_match_overlapping_name"`.
  `SYNTAX_TYPE_MATCH_OVERLAPPING_TO`
  Constant for resource `"syntax_type_match_overlapping_to"`.
  `SYNTAX_TYPE_MATCH_SUBSETOF_NAME`
  Constant for resource `"syntax_type_match_subsetof_name"`.
  `SYNTAX_TYPE_MATCH_SUBSETOF_TO`
  Constant for resource `"syntax_type_match_subsetof_to"`.
  `SYNTAX_TYPE_MATCH_SUPERSETOF_NAME`
  Constant for resource `"syntax_type_match_supersetof_name"`.
  `SYNTAX_TYPE_MATCH_SUPERSETOF_TO`
  Constant for resource `"syntax_type_match_supersetof_to"`.
  `SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER`
  Constant for resource `"syntax_type_record_field_identifier"`.
  `SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_EXAMPLE`
  Constant for resource `"syntax_type_record_field_identifier_example"`.
  `SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_NAME`
  Constant for resource `"syntax_type_record_field_identifier_name"`.
  `SYNTAX_TYPE_RECORD_IDENTIFIER`
  Constant for resource `"syntax_type_record_identifier"`.
  `SYNTAX_TYPE_RECORD_IDENTIFIER_EXAMPLE`
  Constant for resource `"syntax_type_record_identifier_example"`.
  `SYNTAX_TYPE_RECORD_IDENTIFIER_NAME`
  Constant for resource `"syntax_type_record_identifier_name"`.
  `SYNTAX_UNQUALIFIED_NAME`
  Constant for resource `"syntax_unqualified_name"`.
  `SYNTAX_UNQUALIFIED_NAME_EXAMPLE`
  Constant for resource `"syntax_unqualified_name_example"`.
  `SYNTAX_UNQUALIFIED_NAME_NAME`
  Constant for resource `"syntax_unqualified_name_name"`.
  `TAG`
  Constant for resource `"tag"`.
  `TAG_ID`
  Constant for resource `"tag_id"`.
  `TAG_NAME`
  Constant for resource `"tag_name"`.
  `TYPE`
  Constant for resource `"type"`.
  `TYPE_INDEXED`
  Constant for resource `"type_indexed"`.
  `TYPECHECKER_NAME_QUALIFIED_INVALID`
  Constant for resource `"typechecker_name_qualified_invalid"`.
  `TYPECHECKER_NO_SUCH_PACKAGE`
  Constant for resource `"typechecker_no_such_package"`.
  `TYPECHECKER_RECORD_DUPLICATE`
  Constant for resource `"typechecker_record_duplicate"`.
  `TYPECHECKER_RECORD_FIELD_DUPLICATE`
  Constant for resource `"typechecker_record_field_duplicate"`.
  `TYPECHECKER_RECORD_FIELD_TYPE_NONEXISTENT`
  Constant for resource `"typechecker_record_field_type_nonexistent"`.
  `TYPECHECKER_SCALAR_DUPLICATE`
  Constant for resource `"typechecker_scalar_duplicate"`.
  `URI`
  Constant for resource `"URI"`.
  `USER_ID`
  Constant for resource `"user_id"`.
  `VERSION_RANGE`
  Constant for resource `"version_range"`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAStringConstants`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAStringConstants[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jxtrand.api.JXTStringConstantType

  `propertyName`

- ## Enum Constant Details

  - ### COMMAND

    public static final CAStringConstants COMMAND
    Constant for resource `"Command"`.

  - ### EXPECTED_CONTENT_TYPE

    public static final CAStringConstants EXPECTED_CONTENT_TYPE
    Constant for resource `"expected_content_type"`.

  - ### EXPECTED_HASH

    public static final CAStringConstants EXPECTED_HASH
    Constant for resource `"Expected Hash"`.

  - ### EXPECTED_RESPONSE_TYPE

    public static final CAStringConstants EXPECTED_RESPONSE_TYPE
    Constant for resource `"Expected Response Type"`.

  - ### HTTP_RESPONSE_CODE

    public static final CAStringConstants HTTP_RESPONSE_CODE
    Constant for resource `"HTTP Response Code"`.

  - ### HASH_ALGORITHM

    public static final CAStringConstants HASH_ALGORITHM
    Constant for resource `"Hash Algorithm"`.

  - ### RECEIVED_CONTENT_TYPE

    public static final CAStringConstants RECEIVED_CONTENT_TYPE
    Constant for resource `"received_content_type"`.

  - ### RECEIVED_HASH

    public static final CAStringConstants RECEIVED_HASH
    Constant for resource `"Received Hash"`.

  - ### RECEIVED_RESPONSE_TYPE

    public static final CAStringConstants RECEIVED_RESPONSE_TYPE
    Constant for resource `"Received Response Type"`.

  - ### URI

    public static final CAStringConstants URI
    Constant for resource `"URI"`.

  - ### ATTACHMENT

    public static final CAStringConstants ATTACHMENT
    Constant for resource `"attachment"`.

  - ### ATTEMPTED_REMOVAL

    public static final CAStringConstants ATTEMPTED_REMOVAL
    Constant for resource `"attempted_removal"`.

  - ### COUNT

    public static final CAStringConstants COUNT
    Constant for resource `"count"`.

  - ### COUNT_EXPECTED

    public static final CAStringConstants COUNT_EXPECTED
    Constant for resource `"count_expected"`.

  - ### COUNT_RECEIVED

    public static final CAStringConstants COUNT_RECEIVED
    Constant for resource `"count_received"`.

  - ### ERROR_ATTACHMENT_MISSING_DATA

    public static final CAStringConstants ERROR_ATTACHMENT_MISSING_DATA
    Constant for resource `"error_attachment_missing_data"`.

  - ### ERROR_CLOSE_CONNECTION

    public static final CAStringConstants ERROR_CLOSE_CONNECTION
    Constant for resource `"error_close_connection"`.

  - ### ERROR_CLOSED_CHANNEL

    public static final CAStringConstants ERROR_CLOSED_CHANNEL
    Constant for resource `"error_closed_channel"`.

  - ### ERROR_COMMAND_NOT_HERE

    public static final CAStringConstants ERROR_COMMAND_NOT_HERE
    Constant for resource `"error_command_not_here"`.

  - ### ERROR_CONNECTION_COMMIT

    public static final CAStringConstants ERROR_CONNECTION_COMMIT
    Constant for resource `"error_connection_commit"`.

  - ### ERROR_CONNECTION_ROLLBACK

    public static final CAStringConstants ERROR_CONNECTION_ROLLBACK
    Constant for resource `"error_connection_rollback"`.

  - ### ERROR_CREATE_QUERIES

    public static final CAStringConstants ERROR_CREATE_QUERIES
    Constant for resource `"error_create_queries"`.

  - ### ERROR_CREATE_QUERIES_UNAVAILABLE

    public static final CAStringConstants ERROR_CREATE_QUERIES_UNAVAILABLE
    Constant for resource `"error_create_queries_unavailable"`.

  - ### ERROR_DUPLICATE

    public static final CAStringConstants ERROR_DUPLICATE
    Constant for resource `"error_duplicate"`.

  - ### ERROR_DUPLICATE_DELETED

    public static final CAStringConstants ERROR_DUPLICATE_DELETED
    Constant for resource `"error_duplicate_deleted"`.

  - ### ERROR_DUPLICATE_FILE

    public static final CAStringConstants ERROR_DUPLICATE_FILE
    Constant for resource `"error_duplicate_file"`.

  - ### ERROR_DUPLICATE_ITEM

    public static final CAStringConstants ERROR_DUPLICATE_ITEM
    Constant for resource `"error_duplicate_item"`.

  - ### ERROR_DUPLICATE_ITEM_ATTACHMENT

    public static final CAStringConstants ERROR_DUPLICATE_ITEM_ATTACHMENT
    Constant for resource `"error_duplicate_item_attachment"`.

  - ### ERROR_DUPLICATE_ITEM_LOCATION

    public static final CAStringConstants ERROR_DUPLICATE_ITEM_LOCATION
    Constant for resource `"error_duplicate_item_location"`.

  - ### ERROR_DUPLICATE_LOCATION

    public static final CAStringConstants ERROR_DUPLICATE_LOCATION
    Constant for resource `"error_duplicate_location"`.

  - ### ERROR_DUPLICATE_STOCK_INSTANCE

    public static final CAStringConstants ERROR_DUPLICATE_STOCK_INSTANCE
    Constant for resource `"error_duplicate_stock_instance"`.

  - ### ERROR_DUPLICATE_TYPE_PACKAGE

    public static final CAStringConstants ERROR_DUPLICATE_TYPE_PACKAGE
    Constant for resource `"error_duplicate_type_package"`.

  - ### ERROR_DUPLICATE_USER

    public static final CAStringConstants ERROR_DUPLICATE_USER
    Constant for resource `"error_duplicate_user"`.

  - ### ERROR_EXPECTED_COMMAND

    public static final CAStringConstants ERROR_EXPECTED_COMMAND
    Constant for resource `"error_expected_command"`.

  - ### ERROR_EXPECTED_COMMAND_TYPE

    public static final CAStringConstants ERROR_EXPECTED_COMMAND_TYPE
    Constant for resource `"error_expected_command_type"`.

  - ### ERROR_HASH_VALUE_MISMATCH

    public static final CAStringConstants ERROR_HASH_VALUE_MISMATCH
    Constant for resource `"error_hash_value_mismatch"`.

  - ### ERROR_HTTP

    public static final CAStringConstants ERROR_HTTP
    Constant for resource `"error_http"`.

  - ### ERROR_INDEXED

    public static final CAStringConstants ERROR_INDEXED
    Constant for resource `"error_indexed"`.

  - ### ERROR_INDEXED_ATTRIBUTE

    public static final CAStringConstants ERROR_INDEXED_ATTRIBUTE
    Constant for resource `"error_indexed_attribute"`.

  - ### ERROR_IO

    public static final CAStringConstants ERROR_IO
    Constant for resource `"error_io"`.

  - ### ERROR_ITEM_COUNT_STORE_INVARIANT

    public static final CAStringConstants ERROR_ITEM_COUNT_STORE_INVARIANT
    Constant for resource `"error_item_count_store_invariant"`.

  - ### ERROR_ITEM_COUNT_TOO_MANY_REMOVED

    public static final CAStringConstants ERROR_ITEM_COUNT_TOO_MANY_REMOVED
    Constant for resource `"error_item_count_too_many_removed"`.

  - ### ERROR_ITEM_REPOSIT_REMOVE_IDENTIFIED

    public static final CAStringConstants ERROR_ITEM_REPOSIT_REMOVE_IDENTIFIED
    Constant for resource `"error_item_reposit_remove_identified"`.

  - ### ERROR_ITEM_STILL_IN_LOCATION

    public static final CAStringConstants ERROR_ITEM_STILL_IN_LOCATION
    Constant for resource `"error_item_still_in_location"`.

  - ### ERROR_LOCATION_NON_DELETED_CHILDREN

    public static final CAStringConstants ERROR_LOCATION_NON_DELETED_CHILDREN
    Constant for resource `"error_location_non_deleted_children"`.

  - ### ERROR_LOCATION_NOT_EMPTY

    public static final CAStringConstants ERROR_LOCATION_NOT_EMPTY
    Constant for resource `"error_location_not_empty"`.

  - ### ERROR_NONEXISTENT

    public static final CAStringConstants ERROR_NONEXISTENT
    Constant for resource `"error_nonexistent"`.

  - ### ERROR_NOT_LOGGED_IN

    public static final CAStringConstants ERROR_NOT_LOGGED_IN
    Constant for resource `"error_not_logged_in"`.

  - ### ERROR_OPEN_CONNECTION

    public static final CAStringConstants ERROR_OPEN_CONNECTION
    Constant for resource `"error_open_connection"`.

  - ### ERROR_OPEN_DATABASE

    public static final CAStringConstants ERROR_OPEN_DATABASE
    Constant for resource `"error_open_database"`.

  - ### ERROR_OPERATION_NOT_PERMITTED

    public static final CAStringConstants ERROR_OPERATION_NOT_PERMITTED
    Constant for resource `"error_operation_not_permitted"`.

  - ### ERROR_PACKAGE_DOWNGRADE

    public static final CAStringConstants ERROR_PACKAGE_DOWNGRADE
    Constant for resource `"error_package_downgrade"`.

  - ### ERROR_PACKAGE_DOWNGRADE_SUGGEST

    public static final CAStringConstants ERROR_PACKAGE_DOWNGRADE_SUGGEST
    Constant for resource `"error_package_downgrade_suggest"`.

  - ### ERROR_PARSE

    public static final CAStringConstants ERROR_PARSE
    Constant for resource `"error_parse"`.

  - ### ERROR_PARSE_INDEXED

    public static final CAStringConstants ERROR_PARSE_INDEXED
    Constant for resource `"error_parse_indexed"`.

  - ### ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE

    public static final CAStringConstants ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE
    Constant for resource `"error_received_unexpected_content_type"`.

  - ### ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE

    public static final CAStringConstants ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE
    Constant for resource `"error_received_unexpected_response_type"`.

  - ### ERROR_REQUEST_TOO_LARGE

    public static final CAStringConstants ERROR_REQUEST_TOO_LARGE
    Constant for resource `"error_request_too_large"`.

  - ### ERROR_SCHEMA_VERSION_TABLE_ROW

    public static final CAStringConstants ERROR_SCHEMA_VERSION_TABLE_ROW
    Constant for resource `"error_schema_version_table_row"`.

  - ### ERROR_SEARCH_NOT_ACTIVE

    public static final CAStringConstants ERROR_SEARCH_NOT_ACTIVE
    Constant for resource `"error_search_not_active"`.

  - ### ERROR_SERVER

    public static final CAStringConstants ERROR_SERVER
    Constant for resource `"error_server"`.

  - ### ERROR_SERVER_CONNECT

    public static final CAStringConstants ERROR_SERVER_CONNECT
    Constant for resource `"error_server_connect"`.

  - ### ERROR_SHELL_OPTIONS_COMBINATION

    public static final CAStringConstants ERROR_SHELL_OPTIONS_COMBINATION
    Constant for resource `"error_shell_options_combination"`.

  - ### ERROR_STOCK_INSTANCE_IS_NOT_SERIAL

    public static final CAStringConstants ERROR_STOCK_INSTANCE_IS_NOT_SERIAL
    Constant for resource `"error_stock_instance_is_not_serial"`.

  - ### ERROR_STOCK_INSTANCE_IS_NOT_SET

    public static final CAStringConstants ERROR_STOCK_INSTANCE_IS_NOT_SET
    Constant for resource `"error_stock_instance_is_not_set"`.

  - ### ERROR_TYPE_CHECKING

    public static final CAStringConstants ERROR_TYPE_CHECKING
    Constant for resource `"error_type_checking"`.

  - ### ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE

    public static final CAStringConstants ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE
    Constant for resource `"error_type_declaration_refers_to_nonexistent_type"`.

  - ### ERROR_TYPE_EXISTS_WRONG_PACKAGE

    public static final CAStringConstants ERROR_TYPE_EXISTS_WRONG_PACKAGE
    Constant for resource `"error_type_exists_wrong_package"`.

  - ### ERROR_TYPE_EXISTS_WRONG_PACKAGE_SUGGEST

    public static final CAStringConstants ERROR_TYPE_EXISTS_WRONG_PACKAGE_SUGGEST
    Constant for resource `"error_type_exists_wrong_package_suggest"`.

  - ### ERROR_TYPE_FIELD_INVALID

    public static final CAStringConstants ERROR_TYPE_FIELD_INVALID
    Constant for resource `"error_type_field_invalid"`.

  - ### ERROR_TYPE_INDEXED

    public static final CAStringConstants ERROR_TYPE_INDEXED
    Constant for resource `"error_type_indexed"`.

  - ### ERROR_TYPE_INVALID_PATTERN

    public static final CAStringConstants ERROR_TYPE_INVALID_PATTERN
    Constant for resource `"error_type_invalid_pattern"`.

  - ### ERROR_TYPE_MISSING_REQUIRED_FIELD

    public static final CAStringConstants ERROR_TYPE_MISSING_REQUIRED_FIELD
    Constant for resource `"error_type_missing_required_field"`.

  - ### ERROR_TYPE_SCALAR_STILL_REFERENCED

    public static final CAStringConstants ERROR_TYPE_SCALAR_STILL_REFERENCED
    Constant for resource `"error_type_scalar_still_referenced"`.

  - ### ERROR_TYPE_SCALAR_STILL_REFERENCED_SUGGEST

    public static final CAStringConstants ERROR_TYPE_SCALAR_STILL_REFERENCED_SUGGEST
    Constant for resource `"error_type_scalar_still_referenced_suggest"`.

  - ### ERROR_TYPE_STILL_REFERENCED

    public static final CAStringConstants ERROR_TYPE_STILL_REFERENCED
    Constant for resource `"error_type_still_referenced"`.

  - ### ERROR_UNAUTHORIZED

    public static final CAStringConstants ERROR_UNAUTHORIZED
    Constant for resource `"error_unauthorized"`.

  - ### ERROR_UNEXPECTED_CONTENT_TYPE

    public static final CAStringConstants ERROR_UNEXPECTED_CONTENT_TYPE
    Constant for resource `"error_unexpected_content_type"`.

  - ### ERROR_UNEXPECTED_RESPONSE_TYPE

    public static final CAStringConstants ERROR_UNEXPECTED_RESPONSE_TYPE
    Constant for resource `"error_unexpected_response_type"`.

  - ### EXPECTED_COMMAND

    public static final CAStringConstants EXPECTED_COMMAND
    Constant for resource `"expected_command"`.

  - ### EXPECTED_COUNT

    public static final CAStringConstants EXPECTED_COUNT
    Constant for resource `"expected_count"`.

  - ### EXPECTED_TYPE

    public static final CAStringConstants EXPECTED_TYPE
    Constant for resource `"expected_type"`.

  - ### FIELD_NAME

    public static final CAStringConstants FIELD_NAME
    Constant for resource `"field_name"`.

  - ### FIELD_TYPE

    public static final CAStringConstants FIELD_TYPE
    Constant for resource `"field_type"`.

  - ### FILE

    public static final CAStringConstants FILE
    Constant for resource `"file"`.

  - ### FILE_ID

    public static final CAStringConstants FILE_ID
    Constant for resource `"file_id"`.

  - ### ITEM

    public static final CAStringConstants ITEM
    Constant for resource `"item"`.

  - ### ITEM_ID

    public static final CAStringConstants ITEM_ID
    Constant for resource `"item_id"`.

  - ### ITEM_LOCATION

    public static final CAStringConstants ITEM_LOCATION
    Constant for resource `"item_location"`.

  - ### ITEM_NAME

    public static final CAStringConstants ITEM_NAME
    Constant for resource `"item_name"`.

  - ### ITEM_SERIAL

    public static final CAStringConstants ITEM_SERIAL
    Constant for resource `"item_serial"`.

  - ### LOCATION

    public static final CAStringConstants LOCATION
    Constant for resource `"location"`.

  - ### LOCATION_ID

    public static final CAStringConstants LOCATION_ID
    Constant for resource `"location_id"`.

  - ### LOCATION_NAME

    public static final CAStringConstants LOCATION_NAME
    Constant for resource `"location_name"`.

  - ### MESSAGE_TYPE

    public static final CAStringConstants MESSAGE_TYPE
    Constant for resource `"message_type"`.

  - ### METADATA_NAME

    public static final CAStringConstants METADATA_NAME
    Constant for resource `"metadata_name"`.

  - ### METADATA_VALUE

    public static final CAStringConstants METADATA_VALUE
    Constant for resource `"metadata_value"`.

  - ### NAME

    public static final CAStringConstants NAME
    Constant for resource `"name"`.

  - ### NAME_BASE

    public static final CAStringConstants NAME_BASE
    Constant for resource `"name_base"`.

  - ### NEW_LOCATION_ID

    public static final CAStringConstants NEW_LOCATION_ID
    Constant for resource `"new_location_id"`.

  - ### NEW_LOCATION_NAME

    public static final CAStringConstants NEW_LOCATION_NAME
    Constant for resource `"new_location_name"`.

  - ### NEW_LOCATION_PARENT_ID

    public static final CAStringConstants NEW_LOCATION_PARENT_ID
    Constant for resource `"new_location_parent_id"`.

  - ### OBJECT

    public static final CAStringConstants OBJECT
    Constant for resource `"object"`.

  - ### OFFSET

    public static final CAStringConstants OFFSET
    Constant for resource `"offset"`.

  - ### OLD_LOCATION_ID

    public static final CAStringConstants OLD_LOCATION_ID
    Constant for resource `"old_location_id"`.

  - ### OLD_LOCATION_NAME

    public static final CAStringConstants OLD_LOCATION_NAME
    Constant for resource `"old_location_name"`.

  - ### OLD_LOCATION_PARENT_ID

    public static final CAStringConstants OLD_LOCATION_PARENT_ID
    Constant for resource `"old_location_parent_id"`.

  - ### PACKAGE

    public static final CAStringConstants PACKAGE
    Constant for resource `"package"`.

  - ### PACKAGE_INSTALLED

    public static final CAStringConstants PACKAGE_INSTALLED
    Constant for resource `"package_installed"`.

  - ### PACKAGE_INSTALLED_VERSION

    public static final CAStringConstants PACKAGE_INSTALLED_VERSION
    Constant for resource `"package_installed_version"`.

  - ### PACKAGE_VERSION

    public static final CAStringConstants PACKAGE_VERSION
    Constant for resource `"package_version"`.

  - ### PROBLEM

    public static final CAStringConstants PROBLEM
    Constant for resource `"problem"`.

  - ### QUERIES_CLASS

    public static final CAStringConstants QUERIES_CLASS
    Constant for resource `"queries_class"`.

  - ### RECEIVED_COUNT

    public static final CAStringConstants RECEIVED_COUNT
    Constant for resource `"received_count"`.

  - ### RECEIVED_TYPE

    public static final CAStringConstants RECEIVED_TYPE
    Constant for resource `"received_type"`.

  - ### RELATION

    public static final CAStringConstants RELATION
    Constant for resource `"relation"`.

  - ### STARTING_COUNT

    public static final CAStringConstants STARTING_COUNT
    Constant for resource `"starting_count"`.

  - ### STOCK_INSTANCE

    public static final CAStringConstants STOCK_INSTANCE
    Constant for resource `"stock_instance"`.

  - ### SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION
    Constant for resource `"syntax_description_match_anydescription"`.

  - ### SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_ANYDESCRIPTION_NAME
    Constant for resource `"syntax_description_match_anydescription_name"`.

  - ### SYNTAX_DESCRIPTION_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_EXAMPLE_0
    Constant for resource `"syntax_description_match_example_0"`.

  - ### SYNTAX_DESCRIPTION_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_EXAMPLE_1
    Constant for resource `"syntax_description_match_example_1"`.

  - ### SYNTAX_DESCRIPTION_MATCH_EXAMPLE_2

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_EXAMPLE_2
    Constant for resource `"syntax_description_match_example_2"`.

  - ### SYNTAX_DESCRIPTION_MATCH_EXAMPLE_3

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_EXAMPLE_3
    Constant for resource `"syntax_description_match_example_3"`.

  - ### SYNTAX_DESCRIPTION_MATCH_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_NAME
    Constant for resource `"syntax_description_match_name"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO
    Constant for resource `"syntax_description_match_with_description_equal_to"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_EQUAL_TO_NAME
    Constant for resource `"syntax_description_match_with_description_equal_to_name"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO
    Constant for resource `"syntax_description_match_with_description_not_equal_to"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_description_match_with_description_not_equal_to_name"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO
    Constant for resource `"syntax_description_match_with_description_not_similar_to"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_NOT_SIMILAR_TO_NAME
    Constant for resource `"syntax_description_match_with_description_not_similar_to_name"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO
    Constant for resource `"syntax_description_match_with_description_similar_to"`.

  - ### SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_DESCRIPTION_MATCH_WITH_DESCRIPTION_SIMILAR_TO_NAME
    Constant for resource `"syntax_description_match_with_description_similar_to_name"`.

  - ### SYNTAX_DOTTED_NAME

    public static final CAStringConstants SYNTAX_DOTTED_NAME
    Constant for resource `"syntax_dotted_name"`.

  - ### SYNTAX_DOTTED_NAME_EXAMPLE

    public static final CAStringConstants SYNTAX_DOTTED_NAME_EXAMPLE
    Constant for resource `"syntax_dotted_name_example"`.

  - ### SYNTAX_DOTTED_NAME_NAME

    public static final CAStringConstants SYNTAX_DOTTED_NAME_NAME
    Constant for resource `"syntax_dotted_name_name"`.

  - ### SYNTAX_FIELD_MATCH_ANYFIELD

    public static final CAStringConstants SYNTAX_FIELD_MATCH_ANYFIELD
    Constant for resource `"syntax_field_match_anyfield"`.

  - ### SYNTAX_FIELD_MATCH_ANYFIELD_NAME

    public static final CAStringConstants SYNTAX_FIELD_MATCH_ANYFIELD_NAME
    Constant for resource `"syntax_field_match_anyfield_name"`.

  - ### SYNTAX_FIELD_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_FIELD_MATCH_EXAMPLE_0
    Constant for resource `"syntax_field_match_example_0"`.

  - ### SYNTAX_FIELD_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_FIELD_MATCH_EXAMPLE_1
    Constant for resource `"syntax_field_match_example_1"`.

  - ### SYNTAX_FIELD_MATCH_NAME

    public static final CAStringConstants SYNTAX_FIELD_MATCH_NAME
    Constant for resource `"syntax_field_match_name"`.

  - ### SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO

    public static final CAStringConstants SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO
    Constant for resource `"syntax_field_match_with_field_equal_to"`.

  - ### SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_FIELD_MATCH_WITH_FIELD_EQUAL_TO_NAME
    Constant for resource `"syntax_field_match_with_field_equal_to_name"`.

  - ### SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO
    Constant for resource `"syntax_field_match_with_field_not_equal_to"`.

  - ### SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_FIELD_MATCH_WITH_FIELD_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_field_match_with_field_not_equal_to_name"`.

  - ### SYNTAX_INTEGER_RANGE

    public static final CAStringConstants SYNTAX_INTEGER_RANGE
    Constant for resource `"syntax_integer_range"`.

  - ### SYNTAX_INTEGER_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_EXAMPLE
    Constant for resource `"syntax_integer_range_example"`.

  - ### SYNTAX_INTEGER_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_integer_range_example_name"`.

  - ### SYNTAX_INTEGER_RANGE_NAME

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_NAME
    Constant for resource `"syntax_integer_range_name"`.

  - ### SYNTAX_ISO_TIMESTAMP

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP
    Constant for resource `"syntax_iso_timestamp"`.

  - ### SYNTAX_ISO_TIMESTAMP_EXAMPLE

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_EXAMPLE
    Constant for resource `"syntax_iso_timestamp_example"`.

  - ### SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME
    Constant for resource `"syntax_iso_timestamp_example_name"`.

  - ### SYNTAX_ISO_TIMESTAMP_NAME

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_NAME
    Constant for resource `"syntax_iso_timestamp_name"`.

  - ### SYNTAX_ITEM_MATCH_ANYITEM

    public static final CAStringConstants SYNTAX_ITEM_MATCH_ANYITEM
    Constant for resource `"syntax_item_match_anyitem"`.

  - ### SYNTAX_ITEM_MATCH_ANYITEM_NAME

    public static final CAStringConstants SYNTAX_ITEM_MATCH_ANYITEM_NAME
    Constant for resource `"syntax_item_match_anyitem_name"`.

  - ### SYNTAX_ITEM_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_ITEM_MATCH_EXAMPLE_0
    Constant for resource `"syntax_item_match_example_0"`.

  - ### SYNTAX_ITEM_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_ITEM_MATCH_EXAMPLE_1
    Constant for resource `"syntax_item_match_example_1"`.

  - ### SYNTAX_ITEM_MATCH_NAME

    public static final CAStringConstants SYNTAX_ITEM_MATCH_NAME
    Constant for resource `"syntax_item_match_name"`.

  - ### SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO

    public static final CAStringConstants SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO
    Constant for resource `"syntax_item_match_with_item_equal_to"`.

  - ### SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_ITEM_MATCH_WITH_ITEM_EQUAL_TO_NAME
    Constant for resource `"syntax_item_match_with_item_equal_to_name"`.

  - ### SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO
    Constant for resource `"syntax_item_match_with_item_not_equal_to"`.

  - ### SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_ITEM_MATCH_WITH_ITEM_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_item_match_with_item_not_equal_to_name"`.

  - ### SYNTAX_LOCATION_MATCH_ANYNAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_ANYNAME
    Constant for resource `"syntax_location_match_anyname"`.

  - ### SYNTAX_LOCATION_MATCH_ANYNAME_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_ANYNAME_NAME
    Constant for resource `"syntax_location_match_anyname_name"`.

  - ### SYNTAX_LOCATION_MATCH_DESC

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_DESC
    Constant for resource `"syntax_location_match_desc"`.

  - ### SYNTAX_LOCATION_MATCH_DESC_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_DESC_NAME
    Constant for resource `"syntax_location_match_desc_name"`.

  - ### SYNTAX_LOCATION_MATCH_EXACT

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXACT
    Constant for resource `"syntax_location_match_exact"`.

  - ### SYNTAX_LOCATION_MATCH_EXACT_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXACT_NAME
    Constant for resource `"syntax_location_match_exact_name"`.

  - ### SYNTAX_LOCATION_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXAMPLE_0
    Constant for resource `"syntax_location_match_example_0"`.

  - ### SYNTAX_LOCATION_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXAMPLE_1
    Constant for resource `"syntax_location_match_example_1"`.

  - ### SYNTAX_LOCATION_MATCH_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_NAME
    Constant for resource `"syntax_location_match_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE
    Constant for resource `"syntax_mediatype_match_anymediatype"`.

  - ### SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_ANYMEDIATYPE_NAME
    Constant for resource `"syntax_mediatype_match_anymediatype_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_EXAMPLE_0
    Constant for resource `"syntax_mediatype_match_example_0"`.

  - ### SYNTAX_MEDIATYPE_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_EXAMPLE_1
    Constant for resource `"syntax_mediatype_match_example_1"`.

  - ### SYNTAX_MEDIATYPE_MATCH_EXAMPLE_2

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_EXAMPLE_2
    Constant for resource `"syntax_mediatype_match_example_2"`.

  - ### SYNTAX_MEDIATYPE_MATCH_EXAMPLE_3

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_EXAMPLE_3
    Constant for resource `"syntax_mediatype_match_example_3"`.

  - ### SYNTAX_MEDIATYPE_MATCH_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_NAME
    Constant for resource `"syntax_mediatype_match_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO
    Constant for resource `"syntax_mediatype_match_with_mediatype_equal_to"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_EQUAL_TO_NAME
    Constant for resource `"syntax_mediatype_match_with_mediatype_equal_to_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO
    Constant for resource `"syntax_mediatype_match_with_mediatype_not_equal_to"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_mediatype_match_with_mediatype_not_equal_to_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO
    Constant for resource `"syntax_mediatype_match_with_mediatype_not_similar_to"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_NOT_SIMILAR_TO_NAME
    Constant for resource `"syntax_mediatype_match_with_mediatype_not_similar_to_name"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO
    Constant for resource `"syntax_mediatype_match_with_mediatype_similar_to"`.

  - ### SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_MEDIATYPE_MATCH_WITH_MEDIATYPE_SIMILAR_TO_NAME
    Constant for resource `"syntax_mediatype_match_with_mediatype_similar_to_name"`.

  - ### SYNTAX_METADATA_INTEGER

    public static final CAStringConstants SYNTAX_METADATA_INTEGER
    Constant for resource `"syntax_metadata_integer"`.

  - ### SYNTAX_METADATA_INTEGER_EXAMPLE

    public static final CAStringConstants SYNTAX_METADATA_INTEGER_EXAMPLE
    Constant for resource `"syntax_metadata_integer_example"`.

  - ### SYNTAX_METADATA_INTEGER_NAME

    public static final CAStringConstants SYNTAX_METADATA_INTEGER_NAME
    Constant for resource `"syntax_metadata_integer_name"`.

  - ### SYNTAX_METADATA_MATCH_AND

    public static final CAStringConstants SYNTAX_METADATA_MATCH_AND
    Constant for resource `"syntax_metadata_match_and"`.

  - ### SYNTAX_METADATA_MATCH_AND_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_AND_NAME
    Constant for resource `"syntax_metadata_match_and_name"`.

  - ### SYNTAX_METADATA_MATCH_ANY

    public static final CAStringConstants SYNTAX_METADATA_MATCH_ANY
    Constant for resource `"syntax_metadata_match_any"`.

  - ### SYNTAX_METADATA_MATCH_ANY_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_ANY_NAME
    Constant for resource `"syntax_metadata_match_any_name"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_0
    Constant for resource `"syntax_metadata_match_example_0"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_1
    Constant for resource `"syntax_metadata_match_example_1"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_2

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_2
    Constant for resource `"syntax_metadata_match_example_2"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_3

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_3
    Constant for resource `"syntax_metadata_match_example_3"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_4

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_4
    Constant for resource `"syntax_metadata_match_example_4"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_5

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_5
    Constant for resource `"syntax_metadata_match_example_5"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_6

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_6
    Constant for resource `"syntax_metadata_match_example_6"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_7

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_7
    Constant for resource `"syntax_metadata_match_example_7"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_8

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_8
    Constant for resource `"syntax_metadata_match_example_8"`.

  - ### SYNTAX_METADATA_MATCH_EXAMPLE_9

    public static final CAStringConstants SYNTAX_METADATA_MATCH_EXAMPLE_9
    Constant for resource `"syntax_metadata_match_example_9"`.

  - ### SYNTAX_METADATA_MATCH_MATCH

    public static final CAStringConstants SYNTAX_METADATA_MATCH_MATCH
    Constant for resource `"syntax_metadata_match_match"`.

  - ### SYNTAX_METADATA_MATCH_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_MATCH_NAME
    Constant for resource `"syntax_metadata_match_match_name"`.

  - ### SYNTAX_METADATA_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_NAME
    Constant for resource `"syntax_metadata_match_name"`.

  - ### SYNTAX_METADATA_MATCH_OR

    public static final CAStringConstants SYNTAX_METADATA_MATCH_OR
    Constant for resource `"syntax_metadata_match_or"`.

  - ### SYNTAX_METADATA_MATCH_OR_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_OR_NAME
    Constant for resource `"syntax_metadata_match_or_name"`.

  - ### SYNTAX_METADATA_MONEY

    public static final CAStringConstants SYNTAX_METADATA_MONEY
    Constant for resource `"syntax_metadata_money"`.

  - ### SYNTAX_METADATA_MONEY_EXAMPLE

    public static final CAStringConstants SYNTAX_METADATA_MONEY_EXAMPLE
    Constant for resource `"syntax_metadata_money_example"`.

  - ### SYNTAX_METADATA_MONEY_NAME

    public static final CAStringConstants SYNTAX_METADATA_MONEY_NAME
    Constant for resource `"syntax_metadata_money_name"`.

  - ### SYNTAX_METADATA_NAME

    public static final CAStringConstants SYNTAX_METADATA_NAME
    Constant for resource `"syntax_metadata_name"`.

  - ### SYNTAX_METADATA_REAL

    public static final CAStringConstants SYNTAX_METADATA_REAL
    Constant for resource `"syntax_metadata_real"`.

  - ### SYNTAX_METADATA_REAL_EXAMPLE

    public static final CAStringConstants SYNTAX_METADATA_REAL_EXAMPLE
    Constant for resource `"syntax_metadata_real_example"`.

  - ### SYNTAX_METADATA_REAL_NAME

    public static final CAStringConstants SYNTAX_METADATA_REAL_NAME
    Constant for resource `"syntax_metadata_real_name"`.

  - ### SYNTAX_METADATA_TEXT

    public static final CAStringConstants SYNTAX_METADATA_TEXT
    Constant for resource `"syntax_metadata_text"`.

  - ### SYNTAX_METADATA_TEXT_EXAMPLE

    public static final CAStringConstants SYNTAX_METADATA_TEXT_EXAMPLE
    Constant for resource `"syntax_metadata_text_example"`.

  - ### SYNTAX_METADATA_TEXT_NAME

    public static final CAStringConstants SYNTAX_METADATA_TEXT_NAME
    Constant for resource `"syntax_metadata_text_name"`.

  - ### SYNTAX_METADATA_TIME

    public static final CAStringConstants SYNTAX_METADATA_TIME
    Constant for resource `"syntax_metadata_time"`.

  - ### SYNTAX_METADATA_TIME_EXAMPLE

    public static final CAStringConstants SYNTAX_METADATA_TIME_EXAMPLE
    Constant for resource `"syntax_metadata_time_example"`.

  - ### SYNTAX_METADATA_TIME_NAME

    public static final CAStringConstants SYNTAX_METADATA_TIME_NAME
    Constant for resource `"syntax_metadata_time_name"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_ANYTYPE

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_ANYTYPE
    Constant for resource `"syntax_metadata_type_match_anytype"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_ANYTYPE_NAME

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_ANYTYPE_NAME
    Constant for resource `"syntax_metadata_type_match_anytype_name"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_0
    Constant for resource `"syntax_metadata_type_match_example_0"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_EXAMPLE_1
    Constant for resource `"syntax_metadata_type_match_example_1"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_NAME
    Constant for resource `"syntax_metadata_type_match_name"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO
    Constant for resource `"syntax_metadata_type_match_with_type_equal_to"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_EQUAL_TO_NAME
    Constant for resource `"syntax_metadata_type_match_with_type_equal_to_name"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO
    Constant for resource `"syntax_metadata_type_match_with_type_not_equal_to"`.

  - ### SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_METADATA_TYPE_MATCH_WITH_TYPE_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_metadata_type_match_with_type_not_equal_to_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_ANY

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_ANY
    Constant for resource `"syntax_metadata_value_match_any"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_ANY_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_ANY_NAME
    Constant for resource `"syntax_metadata_value_match_any_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE
    Constant for resource `"syntax_metadata_value_match_integral_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_integral_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY
    Constant for resource `"syntax_metadata_value_match_money_currency"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME
    Constant for resource `"syntax_metadata_value_match_money_currency_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE
    Constant for resource `"syntax_metadata_value_match_money_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_money_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_NAME
    Constant for resource `"syntax_metadata_value_match_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE
    Constant for resource `"syntax_metadata_value_match_real_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_real_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT
    Constant for resource `"syntax_metadata_value_match_text_exact"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME
    Constant for resource `"syntax_metadata_value_match_text_exact_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH
    Constant for resource `"syntax_metadata_value_match_text_search"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME
    Constant for resource `"syntax_metadata_value_match_text_search_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE
    Constant for resource `"syntax_metadata_value_match_time_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_time_range_name"`.

  - ### SYNTAX_MONEY_RANGE

    public static final CAStringConstants SYNTAX_MONEY_RANGE
    Constant for resource `"syntax_money_range"`.

  - ### SYNTAX_MONEY_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_MONEY_RANGE_EXAMPLE
    Constant for resource `"syntax_money_range_example"`.

  - ### SYNTAX_MONEY_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_MONEY_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_money_range_example_name"`.

  - ### SYNTAX_MONEY_RANGE_NAME

    public static final CAStringConstants SYNTAX_MONEY_RANGE_NAME
    Constant for resource `"syntax_money_range_name"`.

  - ### SYNTAX_NAME_MATCH_ANYNAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_ANYNAME
    Constant for resource `"syntax_name_match_anyname"`.

  - ### SYNTAX_NAME_MATCH_ANYNAME_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_ANYNAME_NAME
    Constant for resource `"syntax_name_match_anyname_name"`.

  - ### SYNTAX_NAME_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_NAME_MATCH_EXAMPLE_0
    Constant for resource `"syntax_name_match_example_0"`.

  - ### SYNTAX_NAME_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_NAME_MATCH_EXAMPLE_1
    Constant for resource `"syntax_name_match_example_1"`.

  - ### SYNTAX_NAME_MATCH_EXAMPLE_2

    public static final CAStringConstants SYNTAX_NAME_MATCH_EXAMPLE_2
    Constant for resource `"syntax_name_match_example_2"`.

  - ### SYNTAX_NAME_MATCH_EXAMPLE_3

    public static final CAStringConstants SYNTAX_NAME_MATCH_EXAMPLE_3
    Constant for resource `"syntax_name_match_example_3"`.

  - ### SYNTAX_NAME_MATCH_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_NAME
    Constant for resource `"syntax_name_match_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO
    Constant for resource `"syntax_name_match_with_name_equal_to"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_EQUAL_TO_NAME
    Constant for resource `"syntax_name_match_with_name_equal_to_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO
    Constant for resource `"syntax_name_match_with_name_not_equal_to"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_name_match_with_name_not_equal_to_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO
    Constant for resource `"syntax_name_match_with_name_not_similar_to"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_NOT_SIMILAR_TO_NAME
    Constant for resource `"syntax_name_match_with_name_not_similar_to_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO
    Constant for resource `"syntax_name_match_with_name_similar_to"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_SIMILAR_TO_NAME
    Constant for resource `"syntax_name_match_with_name_similar_to_name"`.

  - ### SYNTAX_PACKAGE

    public static final CAStringConstants SYNTAX_PACKAGE
    Constant for resource `"syntax_package"`.

  - ### SYNTAX_PACKAGE_EXAMPLE

    public static final CAStringConstants SYNTAX_PACKAGE_EXAMPLE
    Constant for resource `"syntax_package_example"`.

  - ### SYNTAX_PACKAGE_MATCH_ANYPACKAGE

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_ANYPACKAGE
    Constant for resource `"syntax_package_match_anypackage"`.

  - ### SYNTAX_PACKAGE_MATCH_ANYPACKAGE_NAME

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_ANYPACKAGE_NAME
    Constant for resource `"syntax_package_match_anypackage_name"`.

  - ### SYNTAX_PACKAGE_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_EXAMPLE_0
    Constant for resource `"syntax_package_match_example_0"`.

  - ### SYNTAX_PACKAGE_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_EXAMPLE_1
    Constant for resource `"syntax_package_match_example_1"`.

  - ### SYNTAX_PACKAGE_MATCH_NAME

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_NAME
    Constant for resource `"syntax_package_match_name"`.

  - ### SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO
    Constant for resource `"syntax_package_match_with_package_equal_to"`.

  - ### SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_EQUAL_TO_NAME
    Constant for resource `"syntax_package_match_with_package_equal_to_name"`.

  - ### SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO
    Constant for resource `"syntax_package_match_with_package_not_equal_to"`.

  - ### SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_PACKAGE_MATCH_WITH_PACKAGE_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_package_match_with_package_not_equal_to_name"`.

  - ### SYNTAX_PACKAGE_NAME

    public static final CAStringConstants SYNTAX_PACKAGE_NAME
    Constant for resource `"syntax_package_name"`.

  - ### SYNTAX_RANGE_EXAMPLE_0

    public static final CAStringConstants SYNTAX_RANGE_EXAMPLE_0
    Constant for resource `"syntax_range_example_0"`.

  - ### SYNTAX_RANGE_EXAMPLE_1

    public static final CAStringConstants SYNTAX_RANGE_EXAMPLE_1
    Constant for resource `"syntax_range_example_1"`.

  - ### SYNTAX_RANGE_EXAMPLE_2

    public static final CAStringConstants SYNTAX_RANGE_EXAMPLE_2
    Constant for resource `"syntax_range_example_2"`.

  - ### SYNTAX_RANGE_EXAMPLE_3

    public static final CAStringConstants SYNTAX_RANGE_EXAMPLE_3
    Constant for resource `"syntax_range_example_3"`.

  - ### SYNTAX_RANGE_NAME

    public static final CAStringConstants SYNTAX_RANGE_NAME
    Constant for resource `"syntax_range_name"`.

  - ### SYNTAX_REAL_RANGE

    public static final CAStringConstants SYNTAX_REAL_RANGE
    Constant for resource `"syntax_real_range"`.

  - ### SYNTAX_REAL_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_REAL_RANGE_EXAMPLE
    Constant for resource `"syntax_real_range_example"`.

  - ### SYNTAX_REAL_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_REAL_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_real_range_example_name"`.

  - ### SYNTAX_REAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_REAL_RANGE_NAME
    Constant for resource `"syntax_real_range_name"`.

  - ### SYNTAX_SERIAL_MATCH_ANYSERIAL

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_ANYSERIAL
    Constant for resource `"syntax_serial_match_anyserial"`.

  - ### SYNTAX_SERIAL_MATCH_ANYSERIAL_NAME

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_ANYSERIAL_NAME
    Constant for resource `"syntax_serial_match_anyserial_name"`.

  - ### SYNTAX_SERIAL_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_EXAMPLE_0
    Constant for resource `"syntax_serial_match_example_0"`.

  - ### SYNTAX_SERIAL_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_EXAMPLE_1
    Constant for resource `"syntax_serial_match_example_1"`.

  - ### SYNTAX_SERIAL_MATCH_NAME

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_NAME
    Constant for resource `"syntax_serial_match_name"`.

  - ### SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO
    Constant for resource `"syntax_serial_match_with_serial_equal_to"`.

  - ### SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_WITH_SERIAL_EQUAL_TO_NAME
    Constant for resource `"syntax_serial_match_with_serial_equal_to_name"`.

  - ### SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO
    Constant for resource `"syntax_serial_match_with_serial_not_equal_to"`.

  - ### SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_SERIAL_MATCH_WITH_SERIAL_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_serial_match_with_serial_not_equal_to_name"`.

  - ### SYNTAX_TIME_RANGE

    public static final CAStringConstants SYNTAX_TIME_RANGE
    Constant for resource `"syntax_time_range"`.

  - ### SYNTAX_TIME_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_TIME_RANGE_EXAMPLE
    Constant for resource `"syntax_time_range_example"`.

  - ### SYNTAX_TIME_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_TIME_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_time_range_example_name"`.

  - ### SYNTAX_TIME_RANGE_NAME

    public static final CAStringConstants SYNTAX_TIME_RANGE_NAME
    Constant for resource `"syntax_time_range_name"`.

  - ### SYNTAX_TYPE_MATCH_ANYTYPE

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANYTYPE
    Constant for resource `"syntax_type_match_anytype"`.

  - ### SYNTAX_TYPE_MATCH_ANYTYPE_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANYTYPE_NAME
    Constant for resource `"syntax_type_match_anytype_name"`.

  - ### SYNTAX_TYPE_MATCH_EQUAL_TO

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EQUAL_TO
    Constant for resource `"syntax_type_match_equal_to"`.

  - ### SYNTAX_TYPE_MATCH_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EQUAL_TO_NAME
    Constant for resource `"syntax_type_match_equal_to_name"`.

  - ### SYNTAX_TYPE_MATCH_EXAMPLE_0

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EXAMPLE_0
    Constant for resource `"syntax_type_match_example_0"`.

  - ### SYNTAX_TYPE_MATCH_EXAMPLE_1

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EXAMPLE_1
    Constant for resource `"syntax_type_match_example_1"`.

  - ### SYNTAX_TYPE_MATCH_EXAMPLE_2

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EXAMPLE_2
    Constant for resource `"syntax_type_match_example_2"`.

  - ### SYNTAX_TYPE_MATCH_EXAMPLE_3

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EXAMPLE_3
    Constant for resource `"syntax_type_match_example_3"`.

  - ### SYNTAX_TYPE_MATCH_EXAMPLE_4

    public static final CAStringConstants SYNTAX_TYPE_MATCH_EXAMPLE_4
    Constant for resource `"syntax_type_match_example_4"`.

  - ### SYNTAX_TYPE_MATCH_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_NAME
    Constant for resource `"syntax_type_match_name"`.

  - ### SYNTAX_TYPE_MATCH_NOT_EQUAL_TO

    public static final CAStringConstants SYNTAX_TYPE_MATCH_NOT_EQUAL_TO
    Constant for resource `"syntax_type_match_not_equal_to"`.

  - ### SYNTAX_TYPE_MATCH_NOT_EQUAL_TO_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_NOT_EQUAL_TO_NAME
    Constant for resource `"syntax_type_match_not_equal_to_name"`.

  - ### SYNTAX_TYPE_MATCH_OVERLAPPING_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_OVERLAPPING_NAME
    Constant for resource `"syntax_type_match_overlapping_name"`.

  - ### SYNTAX_TYPE_MATCH_OVERLAPPING_TO

    public static final CAStringConstants SYNTAX_TYPE_MATCH_OVERLAPPING_TO
    Constant for resource `"syntax_type_match_overlapping_to"`.

  - ### SYNTAX_TYPE_MATCH_SUBSETOF_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_SUBSETOF_NAME
    Constant for resource `"syntax_type_match_subsetof_name"`.

  - ### SYNTAX_TYPE_MATCH_SUBSETOF_TO

    public static final CAStringConstants SYNTAX_TYPE_MATCH_SUBSETOF_TO
    Constant for resource `"syntax_type_match_subsetof_to"`.

  - ### SYNTAX_TYPE_MATCH_SUPERSETOF_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_SUPERSETOF_NAME
    Constant for resource `"syntax_type_match_supersetof_name"`.

  - ### SYNTAX_TYPE_MATCH_SUPERSETOF_TO

    public static final CAStringConstants SYNTAX_TYPE_MATCH_SUPERSETOF_TO
    Constant for resource `"syntax_type_match_supersetof_to"`.

  - ### SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER

    public static final CAStringConstants SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER
    Constant for resource `"syntax_type_record_field_identifier"`.

  - ### SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_EXAMPLE

    public static final CAStringConstants SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_EXAMPLE
    Constant for resource `"syntax_type_record_field_identifier_example"`.

  - ### SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_NAME

    public static final CAStringConstants SYNTAX_TYPE_RECORD_FIELD_IDENTIFIER_NAME
    Constant for resource `"syntax_type_record_field_identifier_name"`.

  - ### SYNTAX_TYPE_RECORD_IDENTIFIER

    public static final CAStringConstants SYNTAX_TYPE_RECORD_IDENTIFIER
    Constant for resource `"syntax_type_record_identifier"`.

  - ### SYNTAX_TYPE_RECORD_IDENTIFIER_EXAMPLE

    public static final CAStringConstants SYNTAX_TYPE_RECORD_IDENTIFIER_EXAMPLE
    Constant for resource `"syntax_type_record_identifier_example"`.

  - ### SYNTAX_TYPE_RECORD_IDENTIFIER_NAME

    public static final CAStringConstants SYNTAX_TYPE_RECORD_IDENTIFIER_NAME
    Constant for resource `"syntax_type_record_identifier_name"`.

  - ### SYNTAX_UNQUALIFIED_NAME

    public static final CAStringConstants SYNTAX_UNQUALIFIED_NAME
    Constant for resource `"syntax_unqualified_name"`.

  - ### SYNTAX_UNQUALIFIED_NAME_EXAMPLE

    public static final CAStringConstants SYNTAX_UNQUALIFIED_NAME_EXAMPLE
    Constant for resource `"syntax_unqualified_name_example"`.

  - ### SYNTAX_UNQUALIFIED_NAME_NAME

    public static final CAStringConstants SYNTAX_UNQUALIFIED_NAME_NAME
    Constant for resource `"syntax_unqualified_name_name"`.

  - ### TAG

    public static final CAStringConstants TAG
    Constant for resource `"tag"`.

  - ### TAG_ID

    public static final CAStringConstants TAG_ID
    Constant for resource `"tag_id"`.

  - ### TAG_NAME

    public static final CAStringConstants TAG_NAME
    Constant for resource `"tag_name"`.

  - ### TYPE

    public static final CAStringConstants TYPE
    Constant for resource `"type"`.

  - ### TYPE_INDEXED

    public static final CAStringConstants TYPE_INDEXED
    Constant for resource `"type_indexed"`.

  - ### TYPECHECKER_NAME_QUALIFIED_INVALID

    public static final CAStringConstants TYPECHECKER_NAME_QUALIFIED_INVALID
    Constant for resource `"typechecker_name_qualified_invalid"`.

  - ### TYPECHECKER_NO_SUCH_PACKAGE

    public static final CAStringConstants TYPECHECKER_NO_SUCH_PACKAGE
    Constant for resource `"typechecker_no_such_package"`.

  - ### TYPECHECKER_RECORD_DUPLICATE

    public static final CAStringConstants TYPECHECKER_RECORD_DUPLICATE
    Constant for resource `"typechecker_record_duplicate"`.

  - ### TYPECHECKER_RECORD_FIELD_DUPLICATE

    public static final CAStringConstants TYPECHECKER_RECORD_FIELD_DUPLICATE
    Constant for resource `"typechecker_record_field_duplicate"`.

  - ### TYPECHECKER_RECORD_FIELD_TYPE_NONEXISTENT

    public static final CAStringConstants TYPECHECKER_RECORD_FIELD_TYPE_NONEXISTENT
    Constant for resource `"typechecker_record_field_type_nonexistent"`.

  - ### TYPECHECKER_SCALAR_DUPLICATE

    public static final CAStringConstants TYPECHECKER_SCALAR_DUPLICATE
    Constant for resource `"typechecker_scalar_duplicate"`.

  - ### USER_ID

    public static final CAStringConstants USER_ID
    Constant for resource `"user_id"`.

  - ### VERSION_RANGE

    public static final CAStringConstants VERSION_RANGE
    Constant for resource `"version_range"`.

- ## Method Details

  - ### values

    public static CAStringConstants[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAStringConstants valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null